package com.ywt.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 邮寄地址VO
 **/
@ApiModel(value = "邮寄地址VO")
public class PostAddressVO {

    @ApiModelProperty(value = "邮寄地址表，主键ID", example = "")
    private int addressId;

    @ApiModelProperty(value = "用户姓名", example = "")
    private String name;

    @ApiModelProperty(value = "用户手机号", example = "")
    private String mobile;

    @ApiModelProperty(value = "省", example = "")
    private String province;

    @ApiModelProperty(value = "市", example = "")
    private String city;

    @ApiModelProperty(value = "区", example = "")
    private String area;

    @ApiModelProperty(value = "详细地址", example = "")
    private String address;

    @ApiModelProperty(value = "所有地址", example = "")
    private String allAddress;

    public int getAddressId() {
        return addressId;
    }

    public void setAddressId(int addressId) {
        this.addressId = addressId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAllAddress() {
        return allAddress;
    }

    public void setAllAddress(String allAddress) {
        this.allAddress = allAddress;
    }
}
